<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
CreateCardViewEx2 Method (IEdmVault10)
See Also Example

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmVault10 Interface : CreateCardViewEx2 Method (IEdmVault10)

Visual Basic
C#
C++/CLI

poArgs
  EdmCardViewParams structure containing various members that control the creation of the view

poCallback
  Pointer to a class that implements IEdmCardViewCallback6

Displays a file or folder data card.

# Syntax

Visual Basic |
--- | ---

    Function CreateCardViewEx2( _
       ByRef poArgs As EdmCardViewParams, _
       ByVal poCallback As System.Object _
    ) As IEdmCardView63

C# |
--- | ---

    IEdmCardView63 CreateCardViewEx2(
       ref EdmCardViewParams poArgs,
       System.object poCallback
    )

C++/CLI |
--- | ---

    IEdmCardView63^ CreateCardViewEx2(
    &   EdmCardViewParams% poArgs,
    &   System.Object^ poCallback
    )

#### Parameters

poArgs
  EdmCardViewParams structure containing various members that control the creation of the view
poCallback
  Pointer to a class that implements IEdmCardViewCallback6

#### Return Value

IEdmCardView63

# Example

Create Custom Card View (VB.NET)
Create Custom Card View (C#)

# Remarks

Use this method if you want complete control of the loading and saving of data to and from a custom file or folder data card. Use IEdmFolder5::CreateCardView if you want SOLIDWORKS PDM Professional to handle the loading and saving of data to and from a simple file or folder data card.

This method supersedes IEdmVault6::CreateCardViewEx by allowing you to pass a structure instead of individual parameters.

Return codes:

- S_OK: The method successfully executed.

# See Also

####

IEdmVault10 Interface
IEdmVault10 Members

# Availability

SOLIDWORKS PDM Professional 2009